Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Enumerable#none? is not needed for Ruby >= 1.8.7

  • Loading branch information...
commit db2c0d79e3f9ba4fa921b7a122e9e7849729de64 1 parent 329e7f4
@fxn fxn authored
View
9 activesupport/lib/active_support/core_ext/enumerable.rb
@@ -101,15 +101,6 @@ def many?(&block)
size = block_given? ? select(&block).size : self.size
size > 1
end
-
- # Returns true if none of the elements match the given block.
- #
- # success = responses.none? {|r| r.status / 100 == 5 }
- #
- # This is a builtin method in Ruby 1.8.7 and later.
- def none?(&block)
- !any?(&block)
- end unless [].respond_to?(:none?)
end
class Range #:nodoc:
View
11 activesupport/test/core_ext/enumerable_test.rb
@@ -89,15 +89,4 @@ def test_many
assert ![ 1, 2 ].many? {|x| x > 1 }
assert [ 1, 2, 2 ].many? {|x| x > 1 }
end
-
- def test_none
- assert [].none?
- assert [nil, false].none?
- assert ![1].none?
-
- assert [].none? {|x| x > 1 }
- assert ![ 2 ].none? {|x| x > 1 }
- assert ![ 1, 2 ].none? {|x| x > 1 }
- assert [ 1, 1 ].none? {|x| x > 1 }
- end
end
Please sign in to comment.
Something went wrong with that request. Please try again.